#ifndef VDR_STREAMDEV_RECORDINGSTREAMER_H
#define VDR_STREAMDEV_RECORDINGSTREAMER_H

#include <vdr/thread.h>
#include <vdr/config.h>
#include <vdr/receiver.h>

#include "common.h"

class cRecording;
class cRecPlayer;

// --- cStreamdevRecStreamer -------------------------------------------------

class cStreamdevRecStreamer: public cThread  {
private:
	const cRecording       *m_Recording;
	cRecPlayer             *m_RecPlayer;
	cTBSocket              *m_Socket;
	uint64_t                m_Position;
	uint64_t                m_TotalBytesWritten;

protected:
	virtual void Action(void);

public:
	cStreamdevRecStreamer(const cRecording *Recording);
	virtual ~cStreamdevRecStreamer();

	void Start(cTBSocket *Socket);
	void Stop(void);
	uint64_t getTotalBytesWritten() { return m_TotalBytesWritten; }
	uint64_t getLengthBytes();
	uint32_t getLengthFrames();
	void seekPosition(uint64_t position);
};

#endif // VDR_STREAMDEV_RECORDINGSTREAMER_H
